| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
QoreExternalProgramContextHelper Class Reference

allows a program to be used and guarantees that it will stay valid until the destructor is run if successfully acquired in the constructor More...

`#include <QoreProgram.h>`

## Public Member Functions
DLLEXPORT | QoreExternalProgramContextHelper (ExceptionSink *xsink, QoreProgram *pgm)
| try to attach to the given program, if not possible, then a Qore-language exception is thrown
DLLEXPORT | ~QoreExternalProgramContextHelper ()
| destroys the object and releases the program to be destroyed if it was successfully acquired in the constructor

## Detailed Description

allows a program to be used and guarantees that it will stay valid until the destructor is run if successfully acquired in the constructor

Since
  Qore 0.9

The documentation for this class was generated from the following file:

- include/qore/QoreProgram.h